---
updatedAt: 2026-05-31T12:49:47.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Get Artifactory Version

Return information about the current Artifactory version, revision, and currently installed Add-ons.

**Since:** 2.2.2

**Security:** Requires a valid user (can be anonymous).


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Artifactory System API",
    "description": "Artifactory system configuration APIs for the JFrog Platform.\n\n**Authentication:**\n- Basic authentication using username and password\n- Access Tokens instead of password for basic authentication\n- Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}",
      "description": "JFrog Platform",
      "variables": {
        "jfrog_url": {
          "default": "myserver.jfrog.io",
          "description": "Your JFrog Platform hostname (e.g., mycompany.jfrog.io)"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Artifactory System",
      "description": "Artifactory system configuration APIs."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/artifactory/api/system/version": {
      "get": {
        "tags": [
          "Artifactory System"
        ],
        "summary": "Get Artifactory Version",
        "description": "Return information about the current Artifactory version, revision, and currently installed Add-ons.\n\n**Since:** 2.2.2\n\n**Security:** Requires a valid user (can be anonymous).\n",
        "operationId": "getArtifactoryVersion",
        "security": [],
        "responses": {
          "200": {
            "description": "Artifactory version, revision, and list of installed add-ons",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "version": {
                      "type": "string",
                      "description": "Artifactory version"
                    },
                    "revision": {
                      "type": "string",
                      "description": "Revision number"
                    },
                    "addons": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "List of addons"
                    }
                  }
                }
              },
              "application/vnd.org.jfrog.artifactory.system.Version+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "version": {
                      "type": "string"
                    },
                    "revision": {
                      "type": "string"
                    },
                    "addons": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    }
  }
}
```